# module ActiveSupport::Testing::SetupAndTeardown::ForMiniTest

### Public Instance Methods

run(runner) click to toggle source

    # File lib/active_support/testing/setup_and_teardown.rb, line 31
    def run(runner)
      result = '.'
      begin
        run_callbacks :setup do
          result = super
        end
      rescue Exception => e
        result = runner.puke(self.class, method_name, e)
      ensure
        begin
          run_callbacks :teardown
        rescue Exception => e
          result = runner.puke(self.class, method_name, e)
        end
      end
      result
    end